## r-cran-tinytest 1.1.0

=== DESCRIPTION ===
Package: tinytest
Maintainer: Mark van der Loo <mark.vanderloo@gmail.com>
License: GPL-3
Title: Lightweight and Feature Complete Unit Testing Framework
LazyData: no
Type: Package
LazyLoad: yes
Authors@R: c( person("Mark", "van der Loo"
              , role    = c("aut","cre")
              , email   = "mark.vanderloo@gmail.com"
              , comment = c(ORCID="0000-0002-9807-4686"))
            )
Description: Provides a lightweight (zero-dependency) and easy to use 
    unit testing framework. Main features: install tests with 
    the package. Test results are treated as data that can be stored and 
    manipulated. Test files are R scripts interspersed with test commands, that
    can be programmed over. Fully automated build-install-test sequence for 
    packages. Skip tests when not run locally (e.g. on CRAN). Flexible and 
    configurable output printing. Compare computed output with output stored 
    with the package. Run tests in parallel. Extensible by other packages.
    Report side effects.
Version: 1.1.0
URL: https://github.com/markvanderloo/tinytest
BugReports: https://github.com/markvanderloo/tinytest/issues
Imports: parallel, utils
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-09-26 14:58:33 UTC; mark
Author: Mark van der Loo [aut, cre] (<https://orcid.org/0000-0002-9807-4686>)
Repository: CRAN
Date/Publication: 2019-09-26 15:20:02 UTC

=== debian/changelog ===
r-cran-tinytest (1.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2020 06:58:54 +0100

r-cran-tinytest (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #949465)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jan 2020 07:52:22 +0100

=== debian/control ===
Source: r-cran-tinytest
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tinytest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tinytest.git
Homepage: https://cran.r-project.org/package=tinytest

Package: r-cran-tinytest
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Lightweight and Feature Complete Unit Testing Framework
 Provides a lightweight (zero-dependency) and easy to use
 unit testing framework. Main features: install tests with
 the package. Test results are treated as data that can be stored and
 manipulated. Test files are R scripts interspersed with test commands, that
 can be programmed over. Fully automated build-install-test sequence for
 packages. Skip tests when not run locally (e.g. on CRAN). Flexible and
 configurable output printing. Compare computed output with output stored
 with the package. Run tests in parallel. Extensible by other packages.
 Report side effects.

## r-cran-tinytest 1.2.2

=== debian/changelog ===
r-cran-tinytest (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 21 Jun 2020 10:34:35 +0200

r-cran-tinytest (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 08:19:09 +0200

r-cran-tinytest (1.2.0-2) unstable; urgency=medium

  * Rebuild for R 4.0 transition

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 23:14:13 +0200

r-cran-tinytest (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 07 May 2020 07:40:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tinytest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tinytest.git
 Homepage: https://cran.r-project.org/package=tinytest
+Rules-Requires-Root: no
 
 Package: r-cran-tinytest
 Architecture: all

## r-cran-tinytest 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -19,14 +19,14 @@
     configurable output printing. Compare computed output with output stored 
     with the package. Run tests in parallel. Extensible by other packages.
     Report side effects.
-Version: 1.1.0
+Version: 1.2.4
 URL: https://github.com/markvanderloo/tinytest
 BugReports: https://github.com/markvanderloo/tinytest/issues
 Imports: parallel, utils
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-09-26 14:58:33 UTC; mark
+Packaged: 2020-12-17 13:32:39 UTC; mark
 Author: Mark van der Loo [aut, cre] (<https://orcid.org/0000-0002-9807-4686>)
 Repository: CRAN
-Date/Publication: 2019-09-26 15:20:02 UTC
+Date/Publication: 2020-12-17 16:10:02 UTC

=== debian/changelog ===
r-cran-tinytest (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 18:03:54 +0100

r-cran-tinytest (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:27:44 +0200

## r-cran-tinytest 1.3.1

=== debian/changelog ===
r-cran-tinytest (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Aug 2021 19:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tinytest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tinytest.git
 Homepage: https://cran.r-project.org/package=tinytest

## r-cran-tinytest 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Mark van der Loo <mark.vanderloo@gmail.com>
 License: GPL-3
 Title: Lightweight and Feature Complete Unit Testing Framework
-LazyData: no
 Type: Package
 LazyLoad: yes
 Authors@R: c( person("Mark", "van der Loo"
@@ -19,14 +18,15 @@
     configurable output printing. Compare computed output with output stored 
     with the package. Run tests in parallel. Extensible by other packages.
     Report side effects.
-Version: 1.2.4
+Version: 1.4.1
 URL: https://github.com/markvanderloo/tinytest
 BugReports: https://github.com/markvanderloo/tinytest/issues
+Depends: R (>= 3.0.0)
 Imports: parallel, utils
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-12-17 13:32:39 UTC; mark
+Packaged: 2023-02-21 13:59:53 UTC; mark
 Author: Mark van der Loo [aut, cre] (<https://orcid.org/0000-0002-9807-4686>)
 Repository: CRAN
-Date/Publication: 2020-12-17 16:10:02 UTC
+Date/Publication: 2023-02-22 00:40:02 UTC

=== debian/changelog ===
r-cran-tinytest (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 16:10:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-tinytest
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tinytest
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tinytest.git
+Homepage: https://cran.r-project.org/package=tinytest
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tinytest
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tinytest.git
-Homepage: https://cran.r-project.org/package=tinytest
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-tinytest
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/tinytest_([-\d.]*)\.tar\.gz
